Commit 52fdf53a authored by Arnaud Blanchard's avatar Arnaud Blanchard
Browse files

Update README.md

parent 576dd504
[![logo](logo_blaar.png)](http://blaar.org) [![logo](logo_blaar.png)](http://blaar.org)
Basic Libraries And Applications for Robotics Basic Libraries And Applications for Robotics
...@@ -36,8 +35,8 @@ Basic applications ...@@ -36,8 +35,8 @@ Basic applications
- [f_schunk_hand](https://framagit.org/blaar/f_schunk_hand/wikis/home) - [f_schunk_hand](https://framagit.org/blaar/f_schunk_hand/wikis/home)
--> -->
Standard install BLAAR Install
====================== =======
Mac OSX Mac OSX
------------ ------------
...@@ -47,21 +46,37 @@ Mac OSX ...@@ -47,21 +46,37 @@ Mac OSX
You need Xcode or a C/C++ compilation (clang, g++, ..). You need Xcode or a C/C++ compilation (clang, g++, ..).
Copy past this line in a terminal Copy past this line in a terminal
```sh
curl -sS https://framagit.org/blaar/blaar/raw/master/developer_tools/standard_osx_blaar_install.sh | sh curl -sS https://framagit.org/blaar/blaar/raw/master/developer_tools/standard_osx_blaar_install.sh | sh
```
You can do [**step by step**](https://framagit.org/blaar/blaar/blob/master/developer_tools/standard_osx_blaar_install.sh) copying command line by command line. This may be useful to better understand and in case where the installer crash. You can do [**step by step**](https://framagit.org/blaar/blaar/blob/master/developer_tools/standard_osx_blaar_install.sh) copying command line by command line. This may be useful to better understand and in case where the installer crash.
If you have a problem at compile time it may be due to a bad configuration of your compiler [**see how to install command line tools mac os x**](http://osxdaily.com/2014/02/12/install-command-line-tools-mac-os-x/) If you have a problem at compile time it may be due to a bad configuration of your compiler [**see how to install command line tools mac os x**](http://osxdaily.com/2014/02/12/install-command-line-tools-mac-os-x/)
###Optional modules
#f_gnuplot to draw values of blc_channels
brew install gnuplot --with-qt
git submodule update --init
#f_view_channel to have a gtk interface to view blc_channels (need gtk3, blgtk basic library for gtk3, will be installed)
brew install gtk+3 gnome-icon-theme
git submodule add https://framagit.org/blaar/blgtk.git
git submodule add https://framagit.org/blaar/f_view_channel.git
./install blgtk
#blQTKit allow program to use the camera
git submodule add https://framagit.org/blaar/blQTKit.git
./install blQTKit
Ubuntu Ubuntu
------ ------
Copy past this line in a terminal Copy past this line in a terminal
```sh
wget -q -O/tmp/blaar_install.sh https://framagit.org/blaar/blaar/raw/master/developer_tools/standard_ubuntu_install.sh && sh /tmp/blaar_install.sh; rm /tmp/blaar_install.sh wget -q -O/tmp/blaar_install.sh https://framagit.org/blaar/blaar/raw/master/developer_tools/standard_ubuntu_install.sh && sh /tmp/blaar_install.sh; rm /tmp/blaar_install.sh
```
You will be requested at some point to enter your admin password to make the installation. You will be requested at some point to enter your admin password to make the installation.
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment